// Includes relevant modules used by the QML
import QtQuick 2.15
import QtQuick.Controls 2.15 as Controls
import QtQuick.Layouts 1.15
import org.kde.kirigami 2.20 as Kirigami

Kirigami.ScrollablePage {
    title: i18nc("@title", "Kountdown")

    actions: [
        Kirigami.Action {
            id: addAction
            icon.name: "list-add"
            text: i18nc("@action:button", "Add kountdown")
            onTriggered: kountdownModel.append({
                name: "Kirigami Action added card!",
                description: "Congratulations, your Kirigami Action works!",
                date: 1000
            })
        }
    ]


    // List view for card elements
    Kirigami.CardsListView {
        id: cardsView
        // Model contains info to be displayed
        model: kountdownModel
        // Delegate is how the information will be presented in the ListView
        delegate: kountdownDelegate
    }
}
